Crear Config
Crea un Thing de configuración v0.
curl -X POST "https://api.hola.cloud/v0/configs" \
-H "Content-Type: application/json" \
-d '{"entries":{"feature.newCheckout":true}}'POST /v0/configs HTTP/1.1
Host: api.hola.cloud
Content-Type: application/json
{"entries":{"feature.newCheckout":true}}package main
import (
"fmt"
"io"
"net/http"
"encoding/json"
"strings"
)
func main() {
payload := map[string]any{"entries": map[string]any{"feature.newCheckout": true}}
bodyBytes, err := json.Marshal(payload)
if err != nil {
panic(err)
}
body := string(bodyBytes)
req, err := http.NewRequest("POST", "https://api.hola.cloud/v0/configs", strings.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(responseBody))
}
<?php
$payload = ['entries' => ['feature.newCheckout' => true]];
$body = json_encode($payload);
$ch = curl_init();
curl_setopt_array($ch, [
CURLOPT_URL => 'https://api.hola.cloud/v0/configs',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => $body,
CURLOPT_HTTPHEADER => [
'Content-Type: application/json',
],
]);
$response = curl_exec($ch);
if ($response === false) {
throw new Exception(curl_error($ch));
}
curl_close($ch);
echo $response;
import requests
import json
headers = {
"Content-Type": "application/json",
}
payload = {"entries": {"feature.newCheckout": True}}
body = json.dumps(payload)
response = requests.request(
"POST",
"https://api.hola.cloud/v0/configs",
headers=headers,
data=body
)
print(response.text)
const payload = {"entries": {"feature.newCheckout": true}};
const response = await fetch("https://api.hola.cloud/v0/configs", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify(payload)
});
console.log(await response.text());
const payload = {"entries": {"feature.newCheckout": true}};
const response = await fetch("https://api.hola.cloud/v0/configs", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify(payload)
});
const text = await response.text();
console.log(text);
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import com.fasterxml.jackson.databind.ObjectMapper;
import java.util.Map;
import java.util.List;
public class Main {
public static void main(String[] args) throws Exception {
var payload = Map.of("entries", Map.of("feature.newCheckout", true));
var body = new ObjectMapper().writeValueAsString(payload);
var request = HttpRequest.newBuilder()
.uri(URI.create("https://api.hola.cloud/v0/configs"))
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.header("Content-Type", "application/json")
.build();
var response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}Respuesta:
1{
2 "id": "cfg_abc123",
3 "entries": {
4 "feature.newCheckout": true
5 }
6}
Comentarios